Summary:    A GNU tool for automatically creating Makefiles
Name:       automake15
Version:    1.5
Release:    27%{?dist}.1
License:    GPLv2+
Group:      Development/Tools
URL:        http://sources.redhat.com/automake
Source:     ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.gz
Source10:   filter-provides-automake.sh
Source11:   filter-requires-automake.sh
Patch1:     automake-1.5-depout-mf.patch
Patch2:     automake15-versioning.patch
Patch3:     automake15-autoconf253.patch
Patch4:     automake-1.5-subdirs-89619.patch
Patch5:     dirnames.test-1.6.patch
Patch6:     automake-1.5-ppc-ccnoco-test-91853.patch
Patch7:     automake-1.5-tailfix.patch
Patch8:     automake-1.5-depconf2.patch
Patch9:     automake-1.5-info.patch
Patch10:    automake-1.5-noautotools.patch
Patch11:    automake-1.5-CVE-2009-4029.patch
Buildrequires:  autoconf, bison, texinfo
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info
BuildArch:  noarch
Buildroot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define _use_internal_dependency_generator 0
%define __find_provides %{SOURCE10}
%define __find_requires %{SOURCE11}

%description
Automake is a tool for automatically generating
`Makefile.in' files compliant with the GNU Coding Standards.

This package contains Automake 1.5, an older version of Automake.
You should install it if you need to run automake in a project that
has not yet been updated to work with newer versions of Automake.

# run "make check" by default
%{?_without_check: %define _without_check 1}
%{!?_without_check: %define _without_check 0}

%prep
%setup -q -n automake-%{version}
# %patch1 -p1 -b .makefile
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%ifarch ppc ppc64
%patch6 -p1
%endif
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1 -b .noautotools
%patch11 -p1

%build
mv automake.texi automake15.texi
rm -f automake.info*
touch -r configure.noautotools configure
#touch -r configure.in.orig configure.in
# patch 2 touches configure.in
autoconf
./configure --program-suffix=-%{version} --prefix=%{_prefix} \
   --mandir=%{_mandir} --infodir=%{_infodir} --bindir=%{_bindir} \
   --datadir=%{_datadir}
make %{?_smp_mflags}

%check
%if ! %{_without_check}
  make check
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

# create this dir empty so we can own it
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%clean
#rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/*-%{version}
%{_infodir}/*
%{_datadir}/automake-%{version}
%{_datadir}/aclocal-%{version}
%dir %{_datadir}/aclocal


%changelog

